
 LinHES - Bug # 415: Feature Request: Squeezecenter

Status: Closed Priority: Normal
Author: rsay Category:
Created: 06/25/2009 Assignee: jams
Updated: 02/07/2011 Due date:
Description: I'd like to see Squeezecenter added as an installation option to R6.

I think the addition of squeezecenter would be beneficial because this perl program is  a nice complement to 
mythtv and provides a media server for Logitech hardware such as Squeezebox, Duet and  Boom. It 
peacefully coexists with mythtv and can utilize the /myth/music directory to serve music over the network.

Squeezecenter can be found 
at:[[http://www.logitechsqueezebox.com/support/download-squeezecenter.html|logitechsqueezebox.com]]

I couldn't find a specific list of the dependencies but they provide .debs and .rpms that would contain the 
appropriate information at the website listed above.

Concerns: I'm not sure if the licensing allows inclusion in the linHES repository. (Actually I'm not familiar 
enough with Arch to even know if their software would be in a repository per se or if the repository would 
simply contain a program that would dowload and install the tar.gz from logitech's server.) This program has 
always been very easy to install after a knoppmyth upgrade via the debian/ubuntu .deb file. From looking at 
the arch linux forums, installation appears like it can be quite complicated for an end user under arch. 
[[http://bbs.archlinux.org/viewtopic.php?id=45988|Arch Forum Post]]

Thanks for considering.

History
11/01/2009 08:52 pm - rsay
I found a user submitted PKGBUILD on the AUR that seems to be working on my linhes 6.01 installation:

http://aur.archlinux.org/packages.php?ID=31569

I also found the licensing information on wikipedia:

"The Squeezebox Server (formerly SlimServer and SqueezeCenter) is a streaming audio server supported by Logitech (formerly Slim Devices), 
developed in particular to support their range of digital audio receivers. It is open source software.

Squeezebox Server is released under the terms of the GNU General Public License."

03/21/2010 07:50 am - jams
- Assignee set to jams

- Status changed from New to In Progress

03/21/2010 02:04 pm - jams
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"755a2ed57977bac0ccd50584a9c51b02499eef70".
02/07/2011 03:13 am - Golffies
- File etc-sv-squeezeboxserver-run added

Hi guys,

SqueezeCenter changed its name to SqueezeBoxServer, and is now at version 7.5.3.

I opened a thread in the forum, about installing that up-to-date version and telling runit about that new service to be supervised. 
http://linhes.org/phpBB2/viewtopic.php?t=21992 Integration with _runit_ was far from obvious to me, so might it be for other users. Thanks to support 
from tjc and a few others, it works. The run script is attached.

An update of the package to a more recent version would be greatly appreciated. Thanks in advance. Perl source script and firmware are available as a 
tarball on Logitech's site: http://www.mysqueezebox.com/download

BTW, the  current package (7.4.1-1) failed to configure squeezeboxserver as a service under runit on my LinHES 6.03.00 (LinHES-system 1.1-32).

Files
squeezeboxserver.tar.gz 1.8 kB 11/01/2009 admin
etc-sv-squeezeboxserver-run 221 Bytes 02/07/2011 Golffies
